import { Options } from "./models/options";
import { Interaction } from "./models/interaction";
import { PersonalizationReportParams } from "./models/personalization-report-params";
export declare class Common {
    private readonly constants;
    private apiKey;
    private authToken;
    private source;
    private apiServerUrl;
    private subjectKey;
    private interactions;
    constructor(options: Options);
    writeInteraction(interaction: Interaction): void;
    writeSubjectMetadata(subjectKey: any, metadata: any): void;
    writeObjectMetadata(subjectKey: any, metadata: any): void;
    addMapping(subjectKey: any, secondSubjectKey: any, secondDataSource: any): void;
    buildPersonalizationReportInteraction(personalizationReportParams: PersonalizationReportParams): Interaction;
    flushData(): void;
    isInCampaigns(campaignIds: any, subjectKey: any): Promise<any>;
    isInLeads(scoringIds: any, subjectKey: any): Promise<any>;
    isInPersonas(scoringIds: any, subjectKey: any): Promise<any>;
    private getEndpointUrl();
    private getInteractionsRequestOptions(headers?);
    private getRequestOptions(data, httpMethod, url, headers);
    private makePersonalizationRequest(endpoint, headers);
    private makeRequest(requestOptions);
}
